OpenTTD Source: CYapfFollowRegionT< Types > Class Template Reference

OpenTTD Source 15.0-beta1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions
CYapfFollowRegionT< Types > Class Template Reference

YAPF node following for water region pathfinding. More...

## Public Types
typedef Types::Tpf | Tpf
| The pathfinder class (derived from THIS class).
typedef Types::TrackFollower | TrackFollower
typedef Types::NodeList::Item | Node
| This will be our node type.
typedef Node::Key | Key
| Key to hash tables.

## Public Member Functions
void | PfFollowNode (Node &old_node)
char | TransportTypeChar () const

## Static Public Member Functions
static std::vector< WaterRegionPatchDesc > | FindWaterRegionPath (const Ship *v, TileIndex start_tile, int max_returned_path_length)

## Protected Member Functions
Tpf & | Yapf ()

## Detailed Description

template<class Types>
class CYapfFollowRegionT< Types >

YAPF node following for water region pathfinding.

Definition at line 153 of file yapf_ship_regions.cpp.

## Member Typedef Documentation

## ◆ Key

template<class Types >

typedef Node::Key CYapfFollowRegionT< Types >::Key

Key to hash tables.

Definition at line 159 of file yapf_ship_regions.cpp.

## ◆ Node

template<class Types >

typedef Types::NodeList::Item CYapfFollowRegionT< Types >::Node

This will be our node type.

Definition at line 158 of file yapf_ship_regions.cpp.

## ◆ Tpf

template<class Types >

typedef Types::Tpf CYapfFollowRegionT< Types >::Tpf

The pathfinder class (derived from THIS class).

Definition at line 156 of file yapf_ship_regions.cpp.

## ◆ TrackFollower

template<class Types >

typedef Types::TrackFollower CYapfFollowRegionT< Types >::TrackFollower

Definition at line 157 of file yapf_ship_regions.cpp.

## Member Function Documentation

## ◆ FindWaterRegionPath()

template<class Types >

static std::vector< WaterRegionPatchDesc > CYapfFollowRegionT< Types >::FindWaterRegionPath | ( | const Ship * | v,
|  | TileIndex | start_tile,
|  | int | max_returned_path_length
| ) |  |
| inlinestatic

Definition at line 178 of file yapf_ship_regions.cpp.

## ◆ PfFollowNode()

template<class Types >

void CYapfFollowRegionT< Types >::PfFollowNode | ( | Node & | old_node | ) |
| inline

Definition at line 165 of file yapf_ship_regions.cpp.

## ◆ TransportTypeChar()

template<class Types >

char CYapfFollowRegionT< Types >::TransportTypeChar | ( |  | ) | const
| inline

Definition at line 176 of file yapf_ship_regions.cpp.

## ◆ Yapf()

template<class Types >

Tpf & CYapfFollowRegionT< Types >::Yapf | ( |  | ) |
| inlineprotected

Definition at line 162 of file yapf_ship_regions.cpp.

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_ship_regions.cpp